<?php

namespace Database\Seeders;

use App\Models\Paciente;
use App\Models\Responsable;
use Illuminate\Database\Seeder;

class DatosInicialesSeeder extends Seeder
{
    public function run(): void
    {
        Paciente::firstOrCreate(
            ['nombres' => 'Avelino', 'apellidos' => 'Lopez'],
            ['sexo' => 'M', 'activo' => true]
        );

        Paciente::firstOrCreate(
            ['nombres' => 'Rosa', 'apellidos' => 'Vaca'],
            ['sexo' => 'F', 'activo' => true]
        );

        Responsable::firstOrCreate([
            'Omar Paz' => 'Responsable principal',
        ]);
    }
}
